#!/bin/bash
##################################################################################################
# Name:		xfce4-kdm-integration								 #
# Description:	This script checks whether kdm is installed and if so it creates a session entry #
#		for Xfce4.									 #
# Version:	0.01										 #
# License:	GPLv2										 #
# Author:	Hans-Martin Haase <hmhaase at pclinuxosusers dot de> aka ghostbunny		 #
#												 #
# Thanks to agmg for identifying the correct code for the session starter file.			 #
#												 #
# History:											 #
# 22.01.2013 v0.01										 #
# - initial release										 #
##################################################################################################

# check whether we have kdm installed
if [ -f /usr/bin/kdm ]; then

	# create new session file in kdm session directory
	cat > /usr/share/apps/kdm/sessions/06Xfce.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=XSession
Exec=/usr/bin/startxfce4
TryExec=/usr/bin/startxfce4
Name=Xfce4
Comment=The Xfce4 Desktop Environment
EOF

fi

exit 0